## org.w3c.tools.forms
Class RangedIntegerField

    java.lang.Object
      |
      +--org.w3c.tools.forms.FormField
            |
            +--org.w3c.tools.forms.IntegerField
                  |
                  +--org.w3c.tools.forms.RangedIntegerField

public class RangedIntegerField
extends IntegerField

Fields inherited from class org.w3c.tools.forms.FormField
`manager, name, title`

Constructor Summary
`RangedIntegerField(FormManager manager, java.lang.String name, java.lang.String title, int lo, int hi, int val)`

Method Summary
`java.awt.Component` | `getEditor()` Get an editor for this field.

Methods inherited from class org.w3c.tools.forms.IntegerField
`acceptChange, getIntValue, getValue, setValue, setValue`

Methods inherited from class org.w3c.tools.forms.FormField
`getName, getTitle, gotFocus, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangedIntegerField

    public RangedIntegerField(FormManager manager,
                              java.lang.String name,
                              java.lang.String title,
                              int lo,
                              int hi,
                              int val)
                       throws IllegalFieldValueException

Method Detail

### getEditor

    public java.awt.Component getEditor()

  Get an editor for this field.
  Overrides:
    getEditor in class IntegerField